Subject: Re: [PATCH] vmxnet3: fix LRO feature check

From: Igor Pylypiv <[email-masked]>
Date: Sat, 17 Mar 2018 18:08:47 -0700

The 03/17/2018 20:20, David Miller wrote:
> From: Igor Pylypiv <[email-masked]>
> Date: Sat, 17 Mar 2018 00:58:52 -0700
> 
> > rxcsum and lro fields were deleted in commit a0d2730c9571 ("net: vmxnet3:
> > convert to hw_features"). With upgrading to newer version those fields were
> > resurrected and new code started using uninitialized lro field.
> > Removing rxcsum and lro fields.
> > 
> > Fixes: 45dac1d6ea04 ("vmxnet3: Changes for vmxnet3 adapter version 2 (fwd)")
> > Signed-off-by: Igor Pylypiv <[email-masked]>
> 
> Why are you posting this again?
> 
> I applied the copy of this patch which was part of a two part series
> posted earlier.

No way!!! 
I know it is hard to believe but I found this bug myself.
That's really odd. I took linux-next-20180316 and patch wasn't there.
Now I see the patch in your tree.

Anyway, let me send another one to delete rxcsum at least...